<template>
	<layout-default>
		<div class="services">
			<h1>What We Do</h1>
			<div class="deck">
        <div class="card-wrapper">
          <card-open-faced>
            <template v-slot:slot-1>
              <h2 class="heading">
                Regulatory Navigation & Insights
              </h2>
              <img class="card-img" src="@/assets/highlighting_750x500.jpg" alt="Highlighting a regulatory document.">
            </template>
            <template v-slot:slot-2>
              <div class="points">
                <ul>
                  <li><i class="fas fa-check"></i>Proposed and existing regulation</li>
                  <li><i class="fas fa-check"></i>Regulatory submission requirements</li>
                  <li><i class="fas fa-check"></i>The future regulatory landscape</li>
                  <li><i class="fas fa-check"></i>Regulatory engagement support</li>
                  <li><i class="fas fa-check"></i>The impact of Covid 19 and EVALI</li>
                  <li><i class="fas fa-check"></i>Restricting illicit trade and underage access</li>
                </ul>
              </div>
            </template>
          </card-open-faced>
        </div>
        <div class="card-wrapper">
          <card-open-faced>
            <template v-slot:slot-1>
              <h2 class="heading">
                Product Development
              </h2>
              <img class="card-img" src="@/assets/cbd_oil_750x500.jpg" alt="CBD oil.">
            </template>
            <template v-slot:slot-2>
              <div class="points">
                <ul>
                  <li><i class="fas fa-check"></i>Formulation and ingredients advice</li>
                  <li><i class="fas fa-check"></i>Environmental and quality strategies</li>
                  <li><i class="fas fa-check"></i>Sensory & consumer testing methodologies</li>
                  <li><i class="fas fa-check"></i>Competitor product appraisals</li>
                  <li><i class="fas fa-check"></i>Regulatory compliance documentation</li>
                  <li><i class="fas fa-check"></i>Product testing requirements</li>
                </ul>
              </div>
            </template>
          </card-open-faced>
        </div>
        <div class="card-wrapper">
          <card-open-faced>
            <template v-slot:slot-1>
              <h2 class="heading">
                Innovation
              </h2>
              <img class="card-img" src="@/assets/laboratory_750x500.jpg" alt="A science laboratory.">
            </template>
            <template v-slot:slot-2>
              <div class="points">
                <ul>
                  <li><i class="fas fa-check"></i>Scientific reviews and reports</li>
                  <li><i class="fas fa-check"></i>Vaping technologies</li>
                  <li><i class="fas fa-check"></i>Harm reduction opportunities</li>
                  <li><i class="fas fa-check"></i>Regulatory opportunities</li>
                  <li><i class="fas fa-check"></i>Novel product reports</li>
                  <li><i class="fas fa-check"></i>Consumer wants and needs assessments</li>
                </ul>
              </div>
            </template>
          </card-open-faced>
        </div>
        <div class="card-wrapper">
          <card-open-faced>
            <template v-slot:slot-1>
              <h2 class="heading">
                Next Generation Products
              </h2>
              <img class="card-img" src="@/assets/cbd_vape_750x500.jpg" alt="Cannabis vaping device.">
            </template>
            <template v-slot:slot-2>
              <div class="points">
                <ul>
                  <li><i class="fas fa-check"></i>Premarket tobacco applications</li>
                  <li><i class="fas fa-check"></i>Due diligence dossiers</li>
                  <li><i class="fas fa-check"></i>Harm reduction strategies</li>
                  <li><i class="fas fa-check"></i>Competitor evaluation and intelligence reports</li>
                  <li><i class="fas fa-check"></i>Consumer and regulatory insights</li>
                  <li><i class="fas fa-check"></i>Responsible product communication</li>
                </ul>
              </div>
            </template>
          </card-open-faced>
        </div>
			</div>
		</div>
	</layout-default>
</template>

<script>
	import LayoutDefault from "@/layouts/LayoutDefault";
	import CardOpenFaced from "@/components/Card/CardOpenFaced";
	export default {
		name: "Services",
		components: {CardOpenFaced, LayoutDefault}
	}
</script>

<style scoped>
  .services {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .deck {
    margin: 50px 75px;
    display: flex;
    flex-direction: column;
    max-width: 500px;
  }
  .card-wrapper {
    width: 100%;
    margin-bottom: 50px;
  }
  .heading {
    height: 50px;
  }
	.card {
		width: 100%;
	}
	.card-img {
		width: 100%;
	}
  .points {
    text-align: left;
    line-height: 1.6;
    margin-top: 30px;
  }
  .points ul {
    padding-left: 0;
  }
  h4 {
    text-align: center;
  }
  li {
    list-style-type: none;
    font-size: 20px;
    margin-bottom: 3px;
    display: flex;
  }
  li i {
    margin-right: 10px;
  }

  @media (max-width: 599px) {
    .deck {
      margin: 50px 25px;
    }
    .card-wrapper {
      max-width: 450px;
    }
  }

  @media (min-width: 600px) {

  }

  @media (min-width: 900px) {
    .deck {
      flex-direction: row;
      justify-content: space-between;
      flex-wrap: wrap;
      max-width: unset;
    }
    .card-wrapper {
      width: 45%;
    }
    .heading {
      font-size: 20px;
    }
  }

  @media (min-width: 1200px) {
  }

  @media (min-width: 1800px) {
    .card-wrapper {
      width: 23%;
    }
    .deck {
      max-width: 1800px;
    }
  }
</style>